# $Revision: 1.111 $, $Date: 2010/06/09 16:32:01 $
# TODO:
# - unpackaged:
#   /etc/init.d/fuse
#   /etc/udev/rules.d/99-fuse.rules
#
# Condtional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_with	kernel		# build kernel modules
%bcond_without	userspace	# don't build userspace tools
%bcond_with	verbose		# verbose build (V=1)
%bcond_without	selinux		# build without SELinux support

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		pname	libfuse
%define		rel	1
Summary:	Filesystem in Userspace
Summary(pl.UTF-8):	System plików w przestrzeni użytkownika
Name:		%{pname}%{_alt_kernel}
Version:	2.8.4
Release:	%{rel}
Epoch:		0
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/fuse/fuse-%{version}.tar.gz
# Source0-md5:	a26ec54e410bb826a387947b10c0fd2c
Source1:	fuse.conf
Patch0:		kernel-misc-fuse-Makefile.am.patch
Patch1:		%{pname}-link.patch
URL:		http://fuse.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
%endif
%if %{with userspace}
%{?with_selinux:BuildRequires:	libselinux-devel}
%endif
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Provides:	group(fuse)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FUSE (Filesystem in Userspace) is a simple interface for userspace
programs to export a virtual filesystem to the Linux kernel. FUSE also
aims to provide a secure method for non privileged users to create and
mount their own filesystem implementations.

This package contains a shared library.

%description -l pl.UTF-8
FUSE stanowi prosty interfejs dla programów działających w przestrzeni
użytkownika eksportujący wirtualny system plików do jądra Linuksa.
FUSE ma również na celu udostępnienie bezpiecznej metody tworzenia i
montowania własnych implementacji systemów plików przez zwykłych
(nieuprzywilejowanych) użytkowników.

Ten pakiet zawiera bibliotekę współdzieloną.

%package devel
Summary:	Filesytem in Userspace - Development header files
Summary(pl.UTF-8):	System plików w przestrzeni użytkownika - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{pname} = %{epoch}:%{version}-%{rel}

%description devel
Libfuse library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libfuse.

%package static
Summary:	Filesytem in Userspace - static library
Summary(pl.UTF-8):	System plików w przestrzeni użytkownika - biblioteka statyczna
Group:		Development/Libraries
Requires:	libfuse-devel = %{epoch}:%{version}-%{rel}

%description static
Static libfuse libraries.

%description static -l pl.UTF-8
Statyczna biblioteka libfuse.

%package -n kernel%{_alt_kernel}-misc-fuse
Summary:	Filesystem in Userspace
Summary(pl.UTF-8):	System plików w przestrzeni użytkownika
Release:	%{rel}@%{_kernel_ver_str}
License:	GPL v2
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
Provides:	kernel-misc-fuse
%endif

%description -n kernel%{_alt_kernel}-misc-fuse
FUSE (Filesystem in Userspace) is a simple interface for userspace
programs to export a virtual filesystem to the Linux kernel. FUSE also
aims to provide a secure method for non privileged users to create and
mount their own filesystem implementations.

%description -n kernel%{_alt_kernel}-misc-fuse -l pl.UTF-8
FUSE stanowi prosty interfejs dla programów działających w przestrzeni
użytkownika eksportujący wirtualny system plików do jądra Linuksa.
FUSE ma również na celu udostępnienie bezpiecznej metody tworzenia i
montowania własnych implementacji systemów plików przez zwykłych
(nieuprzywilejowanych) użytkowników.

%prep
%setup -q -n fuse-%{version}
%patch0 -p1
%patch1 -p1

sed -i '/FUSERMOUNT_PROG/s,fusermount,%{_bindir}/fusermount,' lib/mount.c

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_selinux:ac_cv_header_selinux_selinux_h=no} \
	--%{?with_kernel:en}%{!?with_kernel:dis}able-kernel-module \
	--enable-lib \
	--enable-util \
	%{?with_kernel:--with-kernel=%{_kernelsrcdir}}

%if %{with userspace}
for DIR in include lib util; do
%{__make} -C $DIR
done
%endif

%if %{with kernel}
%build_kernel_modules -m fuse -C kernel
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkgconfigdir},%{_sysconfdir}}

%if %{with userspace}
for DIR in include lib util; do
%{__make} -C $DIR install \
	DESTDIR=$RPM_BUILD_ROOT
done

install fuse.pc $RPM_BUILD_ROOT%{_pkgconfigdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
%endif

%if %{with kernel}
%install_kernel_modules -m kernel/fuse -d kernel/fs
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 84 fuse

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post -n kernel%{_alt_kernel}-misc-fuse
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-misc-fuse
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc README NEWS ChangeLog AUTHORS doc/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fuse.conf
%attr(4754,root,fuse) %{_bindir}/fusermount
%attr(755,root,root) %{_bindir}/ulockmgr_server
%attr(755,root,root) /sbin/mount.fuse
%attr(755,root,root) %{_libdir}/libfuse.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfuse.so.2
%attr(755,root,root) %{_libdir}/libulockmgr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libulockmgr.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfuse.so
%attr(755,root,root) %{_libdir}/libulockmgr.so
%{_libdir}/libfuse.la
%{_libdir}/libulockmgr.la
%{_includedir}/fuse
%{_includedir}/fuse.h
%{_includedir}/ulockmgr.h
%{_pkgconfigdir}/fuse.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfuse.a
%{_libdir}/libulockmgr.a
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-misc-fuse
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/fs/fuse.ko*
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libfuse.spec,v $
Revision 1.111  2010/06/09 16:32:01  draenog
- 2.8.4

Revision 1.110  2010/02/02 14:17:27  draenog
- up to 2.8.3

Revision 1.109  2010/01/28 09:12:54  amateja
- updated to 2.8.2

Revision 1.108  2010/01/01 22:46:39  sparky
- BuildRoot capitalization

Revision 1.107  2009/12/19 18:18:09  areq
- 2.8.1

Revision 1.106  2009/11/30 01:36:55  sparky
- BR: gettext-devel

Revision 1.105  2009/09/07 21:02:11  areq
- 2.8.0

Revision 1.104  2008/08/25 20:22:51  qboosh
- updated to 2.7.4

Revision 1.103  2008/04/18 16:21:10  qboosh
- groupadd exits successfully if group exists

Revision 1.102  2008-04-18 16:19:33  qboosh
- simple postun

Revision 1.101  2008-04-18 07:43:53  blues
- revert - it creates fuse group...

Revision 1.100  2008-04-18 07:40:55  blues
- don't provide fuse group

Revision 1.99  2008-04-18 06:43:52  arekm
- rel 3; don't remove fuse group

Revision 1.98  2008-04-04 19:36:25  glen
- release 2

Revision 1.97  2008-04-03 21:01:04  glen
- some unpackaged files

Revision 1.96  2008-04-03 20:59:17  glen
- alt kernel fixes from AC-branch

Revision 1.95  2008-03-04 19:33:44  qboosh
- ghost soname symlinks

Revision 1.94  2008-03-03 17:00:31  qboosh
- changelog typo

Revision 1.93  2008-03-03 10:21:45  arekm
- up to 2.7.3

Revision 1.92  2008-01-04 00:56:50  zbyniu
- up to 2.7.2

Revision 1.91  2007-10-17 15:37:24  areq
- 2.7.1

Revision 1.90  2007/07/03 17:17:26  shadzik
- 2.7.0
- rel 1

Revision 1.89  2007/06/25 14:31:37  qrczak
- Fixed bcond's comment.

Revision 1.88  2007/06/25 10:28:14  arekm
- rel 3; we use in-kernel fuse module

Revision 1.87  2007/05/01 09:25:52  qboosh
- updated to 2.6.5

Revision 1.86  2007/04/12 15:17:15  shadzik
- proper kernel-module-build version

Revision 1.85  2007/04/02 01:35:50  shadzik
- rel 2 for rebuild with new kernel macros

Revision 1.84  2007/04/02 01:31:36  shadzik
- use new kernel macros
- remove smp stuff

Revision 1.83  2007/03/15 23:36:20  glen
- fix smp only %files

Revision 1.82  2007/02/17 20:24:10  qboosh
- updated to 2.6.3

Revision 1.81  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.80  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.79  2007/02/04 11:58:38  qboosh
- let selinux bcond actually disable selinux

Revision 1.78  2007/02/03 20:42:20  areq
- bcond_without  selinux

Revision 1.77  2007/01/31 17:12:06  tommat
- up to 2.6.2

Revision 1.76  2006/12/12 21:06:22  qboosh
- added link patch (only fusermount needs -lselinux)
- BR: libselinux-devel (for fusermount)
- release 3

Revision 1.75  2006/12/12 13:05:04  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 2

Revision 1.74  2006/12/09 18:32:01  qboosh
- updated to 2.6.1, updated patch

Revision 1.73  2006/11/23 18:50:56  hawk
- eh, release 2

Revision 1.72  2006/11/14 20:36:22  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.71  2006/11/12 21:58:39  sparky
- don't use %{without ...}

Revision 1.70  2006/11/12 18:14:29  sparky
- nicer

Revision 1.69  2006/11/12 16:45:54  sparky
- %{_alt_kernel} support
- use %build_kernel_modules, %install_kernel_modules macros

Revision 1.68  2006/11/06 01:23:10  wolf
- 2.6.0

Revision 1.67  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.66  2006/08/27 18:34:13  qboosh
- world-readable fusermount, test syntax fix

Revision 1.65  2006/08/27 17:48:20  glen
- R(postun): /sbin/ldconfig

Revision 1.64  2006/08/27 17:36:29  japhy
- Add group fuse (gid 84), chmod fusermout to 4750 root:fuse

Revision 1.63  2006/08/19 15:03:35  qboosh
- libfuse is not Kernel

Revision 1.62  2006/08/13 15:39:30  freetz
- udev rule moved into udev-default rules, rel.5

Revision 1.61  2006/07/31 14:03:47  sparky
- added ac-LIBTOOL patch

Revision 1.60  2006/07/16 11:50:42  wolf
- fixed w/o kernel

Revision 1.59  2006/07/02 15:59:24  hawk
- release 4

Revision 1.58  2006/04/22 19:42:15  qboosh
- updated to 2.5.3 (kernel module not tested)

Revision 1.57  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.56  2006/03/17 22:03:36  glen
- rel 3

Revision 1.55  2006/02/19 10:09:57  pluto
- build system updated. bogus extra_cflags killed, release 2.

Revision 1.54  2006/02/11 16:13:28  qboosh
- updated to 2.5.2 (bugfix)

Revision 1.53  2006/01/28 10:32:40  qboosh
- swapped: main package is libfuse now, kernel*-misc-fuse as optional subpackages

Revision 1.52  2006/01/25 18:46:26  tommat
- version 2.5.1
- removed configure.in patch - obsolete now

Revision 1.51  2006/01/12 18:33:43  arekm
- rel 2; fix sparc/ppc

Revision 1.50  2005/12/13 12:56:54  glen
- adapterized (sorted %verify attrs)

Revision 1.49  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.48  2005/07/24 10:59:14  qboosh
- removed outdated perm patch

Revision 1.47  2005/07/24 10:58:13  qboosh
- don't require precompiled kernel tree if without dist_kernel

Revision 1.46  2005/06/12 11:11:04  saq
- up to 2.3.0

Revision 1.45  2005/06/01 01:28:49  ankry
- rel. 3

Revision 1.44  2005/05/24 18:55:30  saq
- fusermount back to _bindir: it does have some use invoked directly
- release 2

Revision 1.43  2005/05/24 18:02:29  tommat
- reverted my last change

Revision 1.42  2005/05/18 10:45:12  tommat
- provides fusermount for libfuse
- rel 1, STBR

Revision 1.41  2005/05/17 23:27:06  zawadaa
- up to 2.2.1
- --without dist_kernel now works

Revision 1.40  2005/04/19 14:10:11  blues
- added config file

Revision 1.39  2005/04/05 18:46:44  saq
- fusermount is no longer meant to be invoked directly
- release 3

Revision 1.38  2005/04/03 23:11:11  saq
- release 2 for rebuild with kernel-2.6.11.6-4

Revision 1.37  2005/03/25 15:24:55  havner
- rel 1

Revision 1.36  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.35  2005/02/13 20:49:14  tommat
- fixed applying patch0

Revision 1.34  2005/02/11 01:56:53  jpc
- up to 2.2
- added TODO
- cleaned up %build and %install (use make, not hardcoded invocations)
- added doc/* to %doc
- added fuse.pc

Revision 1.33  2005/01/19 14:42:40  jpc
- BR: libtool (not sure about version)

Revision 1.32  2005/01/05 17:26:20  speedo
- _rel 1, STBR

Revision 1.31  2004/12/11 19:21:57  tommat
- added ldconfig in post{,un} in libfuse

Revision 1.30  2004/12/11 18:43:40  qboosh
- formatting, unified sf URL
- just Epoch: 0 instead of mismatched BR

Revision 1.29  2004/12/11 12:43:31  tommat
- fixed post depmod in smp package, rel 0.4

Revision 1.28  2004/11/11 19:48:18  saq
- mass commit: using %{epoch} without explicit Epoch: declaration
  requires a modern rpm

Revision 1.27  2004/11/02 05:19:00  pluto
- fixed kernel oops at lib/vsprintf.c:379: len = strnlen(s, precision);
  proper quotation -> pass string "1.4" instead of double to printk().
- release 0.3.

Revision 1.26  2004/11/01 13:09:00  pluto
- undefined symbol vfs_permission fixed.
- on load an oops occured :>

  call Trace:
   [<c0106d0f>] show_stack+0x7f/0xa0
   [<c0106ea6>] show_registers+0x156/0x1d0
   [<c01070a8>] die+0xc8/0x150
   [<c0118410>] do_page_fault+0x440/0x707
   [<c01069a1>] error_code+0x2d/0x38
   [<c01b7147>] vscnprintf+0x27/0x40
   [<c011dda2>] vprintk+0x42/0x140
   [<c011dd58>] printk+0x18/0x20
   [<d08e102f>] fuse_init+0x2f/0x58 [fuse]
   [<c0134724>] sys_init_module+0x134/0x1c0
   [<c0105ecd>] sysenter_past_esp+0x52/0x71

Revision 1.25  2004/10/30 16:24:20  pluto
- url fixed.
- updated to 1.4.
- release 0.1 (unresolved symbol vfs_permission)...

Revision 1.24  2004/10/11 07:52:04  krzak
- add Provides:       kernel-misc-fuse to kernel-smp-misc-fuse

Revision 1.23  2004/10/11 07:22:53  krzak
- up to version 1.3

Revision 1.22  2004/10/10 19:15:07  paladine
- added missing BR: autoconf, automake

Revision 1.21  2004/05/29 11:25:08  pluto
- minor build fixes.
- release 3.

Revision 1.20  2004/05/23 20:59:14  pluto
- build fixed.

Revision 1.19  2004/05/21 11:17:09  pluto
- 2.6.6 complaint.
- release 2.

Revision 1.18  2004/05/18 10:26:02  pluto
- {release,requires} fixed.

Revision 1.17  2004/05/09 21:57:51  pawcioos
- some fixes and fixed requires

Revision 1.16  2004/05/09 14:14:17  pluto
- %files minor fixes.

Revision 1.15  2004/05/09 14:08:30  pluto
- depmod fixes.
- s/GPL/GPL v2/

Revision 1.14  2004/05/09 13:53:37  pluto
- release 1.2.

Revision 1.13  2004/05/09 13:48:18  pluto
- smp subpackage added.

Revision 1.12  2004/05/09 12:14:05  pluto
- build optimized.

Revision 1.11  2004/05/09 11:44:19  pluto
- devel,static and userspace subpackages added.
- TODO updated.

Revision 1.10  2004/05/09 11:02:57  pluto
- S0: fixed.

Revision 1.9  2004/05/09 11:02:06  pluto
- R:, BR: fixed.
- TODO added.

Revision 1.8  2004/05/09 10:57:03  pluto
- minor fixes.

Revision 1.7  2004/05/09 10:54:22  pluto
- %build done (i hope).

Revision 1.6  2004/05/09 10:04:05  pluto
- 2.6.5 kbuild.

Revision 1.5  2004/02/09 12:02:36  ankry
- 1.1, not tested

Revision 1.4  2004/02/09 11:53:12  ankry
- md5

Revision 1.3  2004/02/09 11:43:10  ankry
- pl, fixed src URL

Revision 1.2  2004/01/30 04:04:30  pzurowski
- more adaptarized
- help needed

Revision 1.1  2004/01/30 03:45:47  pzurowski
- initial, raw, adaptarized
